"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const event = require("../../../constants/event.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const index$1 = require("../../../hooks/use-size/index.js");
const index = require("../../../hooks/use-aria/index.js");
const checkboxGroupProps = runtime.buildProps({
  modelValue: {
    type: runtime.definePropType(Array),
    default: () => []
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  min: Number,
  max: Number,
  size: index$1.useSizeProp,
  fill: String,
  textColor: String,
  tag: {
    type: String,
    default: "div"
  },
  validateEvent: {
    type: Boolean,
    default: true
  },
  options: { type: runtime.definePropType(Array) },
  props: {
    type: runtime.definePropType(Object),
    default: () => checkboxDefaultProps
  },
  type: {
    type: String,
    values: ["checkbox", "button"],
    default: "checkbox"
  },
  ...index.useAriaProps(["ariaLabel"])
});
const checkboxGroupEmits = {
  [event.UPDATE_MODEL_EVENT]: (val) => shared_esmBundler.isArray(val),
  change: (val) => shared_esmBundler.isArray(val)
};
const checkboxDefaultProps = {
  label: "label",
  value: "value",
  disabled: "disabled"
};
exports.checkboxDefaultProps = checkboxDefaultProps;
exports.checkboxGroupEmits = checkboxGroupEmits;
exports.checkboxGroupProps = checkboxGroupProps;
